# KRYTON

It respects Brad Frost atomic design:\
https://bradfrost.com/blog/post/atomic-web-design/


# GULP

You have to install Node JS (https://nodejs.org/en/) to your computer.

a, Go to theme folder, where `package.json` is located and install npm modules
to your theme.

```bash
> npm install
```

b, compile sass to css

```bash
> gulp
```

# CODING STANDARDS

CSSCOMBX
https://www.drupal.org/node/2399303
https://www.npmjs.com/package/gulp-csscombx

STYLELINT
npx stylelint "css/*.css" --config .stylelintrc-css.json
npx stylelint "sass/**/*.scss" --config .stylelintrc-scss.json

PHPCS
phpcs --standard=Drupal --extensions=json,theme,css,info,txt,md,yml,scss .
